Subject: Re: [DISCUSSION] Growing the Git community

From: Thomas Gummerer <[email-masked]>
Date: Thu, 14 Nov 2019 10:01:43 +0000

On 11/14, Pratyush Yadav wrote:
> On 13/11/19 06:31PM, Emily Shaffer wrote:
> > Christian's suggestion of a Google Group list was good enough for me.
> > For now, the permission settings are as follows:
> > 
> >  - Group visibility: Anyone. (So it can be easier to discover and
> >    advertise.)
> >  - View topics: Group members only. (Maybe we want to open this up so
> >    it's easier for non-member Git contributors to take a look at what's
> >    going on.... but maybe if they're interested they can just join the
> >    group :) )
> 
> FWIW, I think this should be open to all. Most of the time I first look 
> at a few posts of a list before joining, just to get an idea if the list 
> is actually what I'm interested in. Restricting topic visibility to 
> group members only makes doing that impossible. In fact, that's just 
> what I did before writing this email. I wanted to see what kind of 
> messages are on the list/group before making up my mind if I want to be 
> a part of it.
> 
> So unless there's some strong reasons to keep it member-only, I vote for 
> opening it up.

I do agree with the original decision and think we should keep it
member-only.  As Peff mentioned somewhere else in the thread, this
makes the group less daunting to post to.  One of the distinct
advantages of having a separate mentoring list is to make the process
of starting to contribute less scary.

I believe that not having all messages public on the internet as
someone is learning to contribute creates an environment where people
are more likely and comfortable with trying to seek out help.

Of course anyone can join the group, so if someone really wants to see
the messages they can, but at least not everyone on the internet can
stumble upon them, e.g. through web searches.

> >  - Post: Group members only. (My thinking is that once you're asking for
> >    someone's time and effort to help mentor you, you can volunteer the
> >    time and effort needed to push the join button and optionally filter
> >    your inbox ;) )
> 
> This I agree with. If you're looking for mentorship, or are providing 
> mentorship, you should at least join the group :)
> 
> >  - Join group: Anyone. (Let's make the barrier to entry low.)
> > 
> > https://groups.google.com/forum/#!forum/git-mentoring/new
> > 
> > [email-masked]
> 
> -- 
> Regards,
> Pratyush Yadav